#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB5,0x7D,0x75,0x3E,0xBF,0xE0,0xB0,0x87,0xB3,0xE8,0xE9,0x99,
		0x2A,0x8C,0x20,0x86,0x52,0x00,0x13,0xFA,0x5E,0xE4,0x43,0x1C,
		0x58,0xBC,0x23,0x61,0x6E,0x16,0x4D,0x1D,0x36,0x22,0x7A,0x8D,
		0xD8,0xD6,0x4A,0xF7,0xB3,0x2F,0xAF,0x27,0xEB,0xF2,0xAE,0x40,
		0x6A,0x08,0xFC,0x02,0x81,0x8C,0x83,0x53,0x02,0x2D,0xCA,0xCD,
		0xD2,0xBA,0x81,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
